Update integration
POST
/api/v1/integration/{id}
const url = 'https://example.com/api/v1/integration/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"strava":{},"komoot":{},"hammerhead":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/integration/example \ --header 'Content-Type: application/json' \ --data '{ "strava": {}, "komoot": {}, "hammerhead": {} }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
strava
object
komoot
object
hammerhead
object
Example generated
{ "strava": {}, "komoot": {}, "hammerhead": {}}Responses
Section titled “ Responses ”Integration updated
Media type application/json
object
id
required
Integration ID (15 chars)
string
user
required
User ID (15 chars)
string
strava
object
clientId
integer
clientSecret
string
routes
boolean
activities
boolean
active
boolean
after
string format: date
privacy
string
komoot
object
email
string format: email
password
string
completed
boolean
planned
boolean
active
boolean
privacy
string
hammerhead
object
email
string format: email
password
string
completed
boolean
planned
boolean
active
boolean
after
string format: date
created
string format: date-time
updated
string format: date-time
Example
{ "strava": { "privacy": "original" }, "komoot": { "privacy": "original" }}Bad Request
Not Found
Internal Server Error